Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package typechecker
  Definition Classes
    nsc
-  trait Implicits extends AnyRef

  This trait provides methods to find various kinds of implicits.

  This trait provides methods to find various kinds of implicits.

  Definition Classes
    typechecker
- Function1
- HasMember
- HasMethodMatching
- ImplicitAmbiguousMsg
- ImplicitAnnotationMsg
- ImplicitInfo
- ImplicitNotFoundMsg
- ImplicitSearch
- Message
- OpenImplicit
- SearchResult
- Shadower

c

scala.tools.nsc.typechecker.Implicits

# Message

###

#### class Message extends AnyRef

Source
  Implicits.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Message
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new Message(sym: Global.Symbol, msg: String, annotationName: String)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Analyzer.Message toany2stringadd[Analyzer.Message] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Analyzer.Message, B)
   Implicit
     This member is added by an implicit conversion from Analyzer.Message toArrowAssoc[Analyzer.Message] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  def ensuring(cond: (Analyzer.Message) => Boolean, msg: => Any): Analyzer.Message
   Implicit
     This member is added by an implicit conversion from Analyzer.Message toEnsuring[Analyzer.Message] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (Analyzer.Message) => Boolean): Analyzer.Message
   Implicit
     This member is added by an implicit conversion from Analyzer.Message toEnsuring[Analyzer.Message] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: => Any): Analyzer.Message
    Implicit
      This member is added by an implicit conversion from Analyzer.Message toEnsuring[Analyzer.Message] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): Analyzer.Message
    Implicit
      This member is added by an implicit conversion from Analyzer.Message toEnsuring[Analyzer.Message] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
15.  def formatDefSiteMessage(typeArgs: List[String]): String
16.  def formatDefSiteMessage(paramTp: Global.Type): String
17.  def formatParameterMessage(fun: Global.Tree): String
18.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Analyzer.Message toStringFormat[Analyzer.Message] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
19.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
21.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
22.  def lookupTypeParam(name: String): Global.Symbol
23.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
24.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
26.  def referencedTypeParams: List[String]
27.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
28.  def toString(): String
    Definition Classes
      AnyRef → Any
29.  def validate: Option[String]
30.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
31.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
32.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (Analyzer.Message, B)
   Implicit
     This member is added by an implicit conversion from Analyzer.Message toArrowAssoc[Analyzer.Message] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromAnalyzer.Message to any2stringadd[Analyzer.Message]

### Inherited by implicit conversion StringFormat fromAnalyzer.Message to StringFormat[Analyzer.Message]

### Inherited by implicit conversion Ensuring fromAnalyzer.Message to Ensuring[Analyzer.Message]

### Inherited by implicit conversion ArrowAssoc fromAnalyzer.Message to ArrowAssoc[Analyzer.Message]

### Ungrouped